------------------------------------------------------------------------------
--                             Templates Parser                             --
--                                                                          --
--                            Copyright (C) 2005                            --
--                                 AdaCore                                  --
--                                                                          --
--  This library is free software; you can redistribute it and/or modify    --
--  it under the terms of the GNU General Public License as published by    --
--  the Free Software Foundation; either version 2 of the License, or (at   --
--  your option) any later version.                                         --
--                                                                          --
--  This library is distributed in the hope that it will be useful, but     --
--  WITHOUT ANY WARRANTY; without even the implied warranty of              --
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       --
--  General Public License for more details.                                --
--                                                                          --
--  You should have received a copy of the GNU General Public License       --
--  along with this library; if not, write to the Free Software Foundation, --
--  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.          --
--                                                                          --
------------------------------------------------------------------------------

--  $Id: templates_parser-dynamic.adb 435 2005-05-13 19:50:23Z obry $

separate (Templates_Parser)

package body Dynamic is

   ---------------
   -- Dimention --
   ---------------

   function Dimention
     (Cursor_Tag : access Dynamic.Cursor_Tag;
      Var_Name   : in     String) return Natural
   is
      pragma Unreferenced (Cursor_Tag, Var_Name);
   begin
      return 0;
   end Dimention;

   ------------
   -- Length --
   ------------

   function Length
     (Cursor_Tag : access Dynamic.Cursor_Tag;
      Var_Name   : in     String;
      Path       : in     Dynamic.Path) return Natural
   is
      pragma Unreferenced (Cursor_Tag, Var_Name, Path);
   begin
      return 0;
   end Length;

   -----------
   -- Value --
   -----------

   procedure Value
     (Lazy_Tag     : access Dynamic.Lazy_Tag;
      Var_Name     : in     String;
      Translations : in out Translate_Set)
   is
      pragma Unreferenced (Lazy_Tag, Var_Name, Translations);
   begin
      null;
   end Value;

   function Value
     (Cursor_Tag : access Dynamic.Cursor_Tag;
      Var_Name   : in     String;
      Path       : in     Dynamic.Path) return String
   is
      pragma Unreferenced (Cursor_Tag, Var_Name, Path);
   begin
      return "";
   end Value;

end Dynamic;
